#pragma once

#include "iconbar.h"
#include "icon.h"
#include <string>

namespace rov2
{

class CMenu;

class CApplicationIcon : public CIcon
{
public:
  /*! Creates a new instance of an application icon - one that appears on the
  right hand side of the icon bar.*/
  CApplicationIcon(const std::string& rksSpriteName);

  /*! Destroys an application icon*/
  ~CApplicationIcon();

protected:
  /*! The name of the sprite used to display as the icon*/
  char caSpriteName[16];
};
}